import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import { createBEM } from '@zarm-design/bem';
import * as React from 'react';
import { ConfigContext } from '../config-provider';

var SafeArea = function SafeArea(props) {
  var position = props.position,
      rest = _objectWithoutProperties(props, ["position"]);

  var _React$useContext = React.useContext(ConfigContext),
      prefixCls = _React$useContext.prefixCls;

  var bem = createBEM('safe-area', {
    prefixCls: prefixCls
  });
  return /*#__PURE__*/React.createElement("div", _extends({}, rest, {
    className: bem('', [bem("position-".concat(position))])
  }));
};

export default SafeArea;